// file: gtree_ga_0.cc
//

// isip include files
//
#include "generate_tree.h"
#include "generate_tree_constants.h"

// function: grow_string_arrays_cc
//
// arguments:
//  char_1**& ptr_strings: (input/output) arrays to be resized
//  int_4& cur_size: (input/output) number of arrays
//  int_4 grow_size: (input) amount to increment the array
//
// return:
//  a logical_1 value indicating the status
//
// this method grows arrays by creating a new copy.
//
logical_1 grow_string_arrays_cc(char_1**& ptr_strings_a,
				int_4& cur_size_a, int_4 grow_size_a) {
  
  // allocate new, larger, buffers
  //
  char_1** new_array = new char_1*[cur_size_a + grow_size_a];
  
  // copy pointers
  //
  for (int_4 counter=0; counter<cur_size_a; counter++) {
    new_array[counter] = ptr_strings_a[counter];
  }
  
  // delete the old space
  //
  delete [] ptr_strings_a;
  
  // increment the size
  //
  cur_size_a += grow_size_a;
  
  // swap pointers
  //
  ptr_strings_a = new_array;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
