// file: gtree_ga_1.cc
//

// isip include files
//
#include "generate_tree.h"
#include "generate_tree_constants.h"
	  
// method: grow_float_arrays_cc
//
// arguments:
//  float_4*& ptr_float: (input/output) arrays to be resized
//  int_4& cur_size: (input/output) number of elements in each array
//  int_4 grow_size: (input) amount to increment the array
//
// return:
//  a logical_1 value indicating status
//
// this method grows arrays by creating a new copy.
//
logical_1 grow_float_arrays_cc(float_4*& ptr_floats_a,
			       int_4& cur_size_a,
			       int_4 grow_size_a) {
  
  // allocate new, larger, buffers
  //
  float_4* new_array = new float_4[cur_size_a + grow_size_a];
  
  // copy pointers
  //
  for (int_4 counter=0; counter<cur_size_a; counter++) {
    new_array[counter] = ptr_floats_a[counter];
  }
  
  // delete the old space
  //
  delete [] ptr_floats_a;
  
  // increment the size
  //
  cur_size_a += grow_size_a;
  
  // swap pointers
  //
  ptr_floats_a = new_array;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
