// file: text_to_speech.h
//

// make sure declarations are only made once
//
#ifndef __ISIP_TTS
#define __ISIP_TTS

// system include files
//
#include <stdio.h>
#include <math.h>
#include <ctype.h>

// rsynth include files
//
#include <config.h>
#include <useconfig.h>
#include <proto.h>
#include <nsynth.h>
#include <hplay.h>
#include <dict.h>
#include <ASCII.h>
#include <darray.h>
#include <holmes.h>
#include <phtoelm.h>
#include <text.h>
#include <getargs.h>
#include <phones.h>
#include <file.h>
#include <say.h>

// global function prototypes for map_phones.c 
//
int get_parameters_c(char* s, char* map_file, char* output_file,
		     int* pipe_flag, int* audio_flag, int* word_flag,
		     int* phone_flag, float* sf, float* speed,
		     int argc, char** argv);
int map_phones_init_c(char* map_file);
int grow_arrays_c(char*** ptr_strings, int* cur_size, int grow_size);
int qsort_c(int* index, char** values, int num_items);
int compare_str_c(const void* str1, const void* str2);
int map_phones_c(char* out, char* in, int xlate_flag);
int map_phones_free_c ();
int to_lower_c(char* s);
int text_to_phones_c(char* worldbet_equ, char* s);
int phones_to_speech_c(char* audio_file, char* worldbet_equ,
		       float sf, float speed);
int process_word_c(char* s, char* output_file, int pipe_flag,
		   int audio_flag, float sf, float speed);
int process_phone_c(char* s, char* output_file, int pipe_flag,
		    int audio_flag, float sf, float speed);
int expand_c(char* o_name, char* i_name);
void remove_blanks_c(char* str);
void isip_say_string(char isip_phone[], char *s);

// end of file
//
#endif
